Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetVIFunctions

Sets VI-specific functions for line search computation.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetVIFunctions(SNESLineSearch linesearch, SNESLineSearchVIProjectFn **projectfunc, SNESLineSearchVINormFn **normfunc)

Not Collective

## Input Parameter

- linesearch - the line search context, obtain with `SNESGetLineSearch()`

## Output Parameters

- projectfunc - function for projecting the function to the bounds, see `SNESLineSearchVIProjectFn` for calling sequence

- normfunc - function for computing the norm of an active set, see `SNESLineSearchVINormFn` for calling sequence

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchSetVIFunctions()`, `SNESLineSearchGetPostCheck()`, `SNESLineSearchGetPreCheck()`, `SNESLineSearchVIProjectFn`, `SNESLineSearchVINormFn`

## Level

advanced

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages